Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Authenticate with password, email OTP, or TOTP second factor.
POST /api/v2/auth/login-with-password
email
string
password
{ "email": "john.doe@example.com", "password": "SecurePassword123!" }
{ "success": true, "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "email": "john.doe@example.com", "username": "john_doe", "role": "USER", "country": "US", "isEmailVerified": true, "totalXP": 450, "totalGems": 35, "walletAddress": "0x71C...3921", "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6...", "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6...", "expiresAt": "2026-08-22T22:00:00.000Z" }, "message": "Login successful" }
{ "success": true, "data": { "is2FARequired": true, "tempToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6...", "userId": "550e8400-e29b-41d4-a716-446655440000" }, "message": "Two-factor authentication required" }
POST /api/v2/auth/login-with-otp
otpCode
{ "email": "john.doe@example.com", "otpCode": "849201" }
{ "success": true, "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "email": "john.doe@example.com", "username": "john_doe", "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6...", "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6..." }, "message": "OTP verification and login successful" }